This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1012185 - RFE - Support searching with booleans and with regex
RFE - Support searching with booleans and with regex
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 19:24 EDT by Ruediger Landmann
Modified: 2014-08-04 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-09-25 19:24:03 EDT
Description of problem:
Search currently only returns hits on phrases in a topic. Search could be made far more useful if it also supported searching for words with booleans and with regexes. Search functionality equivalent to what a user might be used to when grepping a local filesystem would be nice to have. 

Version-Release number of selected component (if applicable):
Current prod

How reproducible:
100%

Steps to Reproduce:
1. enter two or more words in the search field
2. click search

Actual results:
The words are treated as a phrase. Unless those words occur in that precise order within a topic, you will not find it with search

Expected results:
Search should default to boolean OR, but support boolean AND. Phrase searching should still be supported, either with quotes in the search box or a GUI control. Regexes would be even more useful. 

Additional info:
The current implementation is probably non-intuitive for folks familiar with Internet search engines. They might be surprised that the words they enter are being searched for as an exact phrase.
Comment 1 Matthew Casperson 2013-09-30 17:04:57 EDT
This feature is actually supported by Hibernate search. However, Hibernate search may have to be replaced with a sql free text search when we implement clustering.

Note You need to log in before you can comment on or make changes to this bug.